Bug 989772 - evolution sometimes crashes in __kernel_vsyscall ()
evolution sometimes crashes in __kernel_vsyscall ()
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 17:45 EDT by Alexander Ovcharenko
Modified: 2015-02-17 11:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:25:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (3.30 KB, text/plain)
2013-07-29 17:45 EDT, Alexander Ovcharenko
no flags Details
logs (681 bytes, text/plain)
2013-07-29 17:47 EDT, Alexander Ovcharenko
no flags Details
new backtrace (39.79 KB, text/plain)
2013-08-06 03:24 EDT, Alexander Ovcharenko
no flags Details

  None (edit)
Description Alexander Ovcharenko 2013-07-29 17:45:54 EDT
Created attachment 780158 [details]
backtrace

Description of problem:
Sometimes evolution works without problems. But sometimes it hangs on first email message and then crashes.

Version-Release number of selected component (if applicable):
evolution-3.8.4

How reproducible:
It happens with a 50% probability. So I don't know how to reproduce by purpose.

Steps to Reproduce:
1. Run evolution
2. Click "Send / Receive" button

Actual results:
Evolution crashes

Expected results:
Evolution works
Comment 1 Alexander Ovcharenko 2013-07-29 17:47:09 EDT
Created attachment 780160 [details]
logs
Comment 2 Milan Crha 2013-07-30 02:45:43 EDT
Thanks for a bug report. The backtrace shows that your POP3 account is talking to your server, checking for old messages to be deleted. It's sending the request to the server, and possibly waiting for a reply from it. That's the most I can tell from the backtrace.

The log shows critical runtime warnings from POP3 code, probably following the backtrace state. By any chance, do you have a backtrace of the actual crash, please?

There were done some fixes to prevent crashes in the POP3 code recently, though these are part of the evolution-data-server 3.8.4, which I would expect will not crash for you (if you restarted evolution after update).
Comment 3 Alexander Ovcharenko 2013-07-30 16:37:51 EDT
How can I make the backtrace of the actual crash? I start evolution with these commands:
1) LANG=C gdb evolution
then in gdb
2) run
and after crash
3) bt

I have evolution-data-server.i686 version 3.8.4-1.fc19
Comment 4 Milan Crha 2013-07-31 00:31:15 EDT
(In reply to Alexander Ovcharenko from comment #3)
> 3) bt

Instead of 'bt' use 't a a bt', which stands for "thread apply all backtrace".
Comment 5 Milan Crha 2013-07-31 00:32:00 EDT
Oh, and copy also few lines before the gdb prompt, which might show the reason why gdb stopped.
Comment 6 Alexander Ovcharenko 2013-08-06 03:24:22 EDT
Created attachment 783218 [details]
new backtrace
Comment 7 Milan Crha 2013-08-06 06:55:49 EDT
Thanks for the update. I see it stopped on:
> Program received signal SIGPIPE, Broken pipe.
in thread 15, which is trying to delete one message from your pop3 account, most likely an old one. This Broken pipe might not usually crash the application as such, because it can happen when a connection timeouts, or some unexpected disconnect happens, or something similar. When you "continue" in gdb, does it crash immediately after that?
Comment 8 Alexander Ovcharenko 2013-08-06 16:41:40 EDT
I haven't tried "continue" yet. I will try.

It's high probability that a connection timeout happened because, as I said in the bug description, evolution "hangs on first email message and then crashes" and there are some messages like:
evolution-mail-WARNING **: mail_ui_session_lookup_addressbook: Unable to connect to '????????': Timeout was reached
Comment 9 Alexander Ovcharenko 2013-08-06 16:49:30 EDT
And this bug has a very bad side effect: when I didn't set "Leave messages on server" option in the preferences, my messages weren't received to local mailbox and then were deleted from server.
Comment 10 Milan Crha 2013-08-07 01:00:27 EDT
(In reply to Alexander Ovcharenko from comment #8)
> It's high probability that a connection timeout happened because, as I said
> in the bug description, evolution "hangs on first email message and then
> crashes"

Right, that's related to the SIG_PIPE.

> there are some messages like:
> evolution-mail-WARNING **: mail_ui_session_lookup_addressbook: Unable to
> connect to '????????': Timeout was reached

Does it really show the question marks? I thought you replaced some real name. In any case, this timeout comes from evolution-addressbook-factory.

(In reply to Alexander Ovcharenko from comment #9)
> And this bug has a very bad side effect: when I didn't set "Leave messages
> on server" option in the preferences, my messages weren't received to local
> mailbox and then were deleted from server.

I see. It might mean that the evolution thinks it downloaded those messages already and just deletes those old. You can setup to "Leave messages on the server" and set "0 days old", which is for "do not delete anything", but from the clues you gave it seems to me like the server doesn't like the DELE pop3 command for some reason and hangs on it, which causes the crash in evolution. Do you know what the POP3 server is? Is it any public service I would be able to connect to, for testing purposes?

By the way, the downloaded messages should be in your local cache at
   ~/.local/share/evolution/mail/<pop3-account-uid>/cache
You can recognize the right folder based on the "uid-cache" file in it. If you delete it, and then start evolution, then it'll re-download all current messages from the server. The cache itself is not meant to be browseable by users, thus it's hard to find "missing mails" there.
Comment 11 Alexander Ovcharenko 2013-08-07 15:18:48 EDT
(In reply to Milan Crha from comment #10)
> > there are some messages like:
> > evolution-mail-WARNING **: mail_ui_session_lookup_addressbook: Unable to
> > connect to '????????': Timeout was reached
> 
> Does it really show the question marks? I thought you replaced some real
> name. In any case, this timeout comes from evolution-addressbook-factory.

When I run evolution with LANG=C that line really has question marks. But when I run with my LANG=ru_RU.utf8 I have russian word 'Контакты' (this means 'Contacts')

> (In reply to Alexander Ovcharenko from comment #9)
> > And this bug has a very bad side effect: when I didn't set "Leave messages
> > on server" option in the preferences, my messages weren't received to local
> > mailbox and then were deleted from server.
> 
> I see. It might mean that the evolution thinks it downloaded those messages
> already and just deletes those old. You can setup to "Leave messages on the
> server" and set "0 days old", which is for "do not delete anything",

I've set "Leave messages on the server" and "1 day". So this trace has been made with this setting. Now when I have this error I move messages to different folder on the server via web interface, then press "Send/Receive" in evolution and then move messages to Inbox folder on the server and again press "Send/Receive".

> but
> from the clues you gave it seems to me like the server doesn't like the DELE
> pop3 command for some reason and hangs on it, which causes the crash in
> evolution. Do you know what the POP3 server is? Is it any public service I
> would be able to connect to, for testing purposes?

It's public mail server http://mail.ru . You can create an account on the server. But I am not sure about English interface there. I use pop.mail.ru server, "SSL on dedicated port" option and port 995. But I can't reproduce this bug any time I want. It seems that I can reproduce it when gnome shell and other GUI programs are still loading and I run evolution before all the programs were loaded.
Comment 12 Milan Crha 2013-08-08 00:13:41 EDT
I see. I think the issue is related to an upstream bug [1], even it doesn't hang evolution receive of the POP messages, then the problem can be the same, messages are deleted from the server without being copied to evolution's folder. I believe the "lost messages" part will be covered by [1]. The hang on DELE command might be server related, probably, as I wasn't able to reproduce that at all (yet).

[1] https://bugzilla.gnome.org/show_bug.cgi?id=705446
Comment 13 Fedora Admin XMLRPC Client 2014-09-04 10:29:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2015-01-09 14:09:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 11:25:31 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.